<?php

namespace Comitium5\DesignerBundle\Factory\Template;

use Comitium5\DesignerBundle\Factory\AbstractFactory;

/**
 * Class TemplateGroupFactory
 *
 * @author Oscar Jimenez <oscarjg19.developer@gmail.com>
 * @package ComitiumSuite\Components\Template\Factory
 */
class TemplateGroupFactory extends AbstractFactory
{
    /**
     * @return mixed
     */
    public function create()
    {
        $classNamespace = $this->getEntityNamespace();

        $templateGroup = new $classNamespace();
        $templateGroup->setCreatedAt(new \DateTime('NOW'));
        $templateGroup->setEnabled(true);

        return $templateGroup;
    }
}
